Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234855 - nagios-plugins: unresolved deps: /usr/sbin/rpcinfo
Summary: nagios-plugins: unresolved deps: /usr/sbin/rpcinfo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 228894
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 16:20 UTC by Jose Pedro Oliveira
Modified: 2013-10-16 17:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 16:19:55 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2007-04-02 16:20:16 UTC
Logging the email report

---[ BEGIN ]---------------------
Subject: Broken dependencies in Fedora Extras development - 2007-04-02
From: Fedora Extras repoclosure <buildsys@fedoraproject.org>


This is an automated mail created by an experimental script.
Your following packages in the repository contain broken dependencies:

======================================================================
The results in this report consider unreleased updates in the
build-system's needsign-queue!
======================================================================

package: nagios-plugins-rpc - 1.4.6-1.fc7.i386 from fedora-extras-development-i386
  unresolved deps: 
     /usr/sbin/rpcinfo

package: nagios-plugins-rpc - 1.4.6-1.fc7.ppc from fedora-extras-development-ppc
  unresolved deps: 
     /usr/sbin/rpcinfo

package: nagios-plugins-rpc - 1.4.6-1.fc7.x86_64 from
fedora-extras-development-x86_64
  unresolved deps: 
     /usr/sbin/rpcinfo

---[ END ]---------------------

Comment 1 Jose Pedro Oliveira 2007-04-02 16:28:46 UTC
Subject: rawhide report: 20070402 changes
List-Id: Development discussions related to Fedora Core 

...

glibc-2.5.90-20
---------------
* Sat Mar 31 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-20
- assorted NIS+ speedups (#223467)
- fix HAVE_LIBCAP configure detection (#178934)
- remove /usr/sbin/rpcinfo from glibc-common (#228894)      <<===============
- nexttoward*/nextafter* fixes (BZ#3306)
- feholdexcept/feupdateenv fixes (BZ#3427)
- speed up fnmatch with two or more * in the pattern

...


-----------------------

Bug 228894: Review Request: rpcbind - converts RPC program numbers into
universal addresses
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228894

  From comment #10

  " ...  Note: the
rpcinfo command that lives in the rpcbind package
is currently being installed in /usr/bin/ and probably
should be moved over to /usr/sbin (once the glibc-common
is removed). "






Comment 2 Jose Pedro Oliveira 2007-04-02 16:30:47 UTC
Can't locate the rpcbind package in rawhide (adding a bug dependency on #228894).


Comment 3 Jose Pedro Oliveira 2007-04-04 13:56:51 UTC
rpcbind appeared today in rawhide (rpcbind-0.1.4-2.fc7).

----------

Date: Wed, 4 Apr 2007 06:02:12 -0400
From: buildsys@redhat.com
Subject: rawhide report: 20070404 changes

New package rpcbind
	Universal Addresses to RPC Program Number Napper

...
----------


Package contents:
$ rpm -qpl rpcbind-0.1.4-2.fc7.i386.rpm
/etc/rc.d/init.d/rpcbind
/sbin/rpcbind
/usr/sbin/rpcinfo
/usr/share/doc/rpcbind-0.1.4
/usr/share/doc/rpcbind-0.1.4/AUTHORS
/usr/share/doc/rpcbind-0.1.4/ChangeLog
/usr/share/doc/rpcbind-0.1.4/README
/usr/share/man/man8/rpcbind.8.gz
/usr/share/man/man8/rpcinfo.8.gz
/var/lib/rpcbind


Comment 4 Jose Pedro Oliveira 2007-04-04 16:19:55 UTC
Closing this bug as the nagios-plugins-rpc rpcinfo requirement is now provided
by rpcbind package (used to be provided by glibc-common).
 


$ yum install nagios-plugins-rpc

...

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 nagios-plugins-rpc      i386       1.4.6-1.fc7      extras-development  9.1 k
Installing for dependencies:
 libtirpc                i386       0.1.7-5.fc7      development        72 k
 nagios-plugins          i386       1.4.6-1.fc7      extras-development  131 k
 nagios-plugins-perl     i386       1.4.6-1.fc7      extras-development  6.8 k
 rpcbind                 i386       0.1.4-2.fc7      development        45 k

Transaction Summary
=============================================================================
Install      5 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 264 k



Note You need to log in before you can comment on or make changes to this bug.